--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: groups; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE groups (
    groupid character varying(20) NOT NULL,
    description text
);


ALTER TABLE public.groups OWNER TO groracle;

--
-- Name: hosts; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE hosts (
    host character varying(50) NOT NULL,
    description text,
    groupid character varying(20),
    ip character varying(50)
);


ALTER TABLE public.hosts OWNER TO groracle;

--
-- Name: input; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE input (
    date character varying(50),
    host character varying(50),
    line text NOT NULL,
    pattern text
);


ALTER TABLE public.input OWNER TO groracle;

--
-- Name: pattern_blacklist; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE pattern_blacklist (
    pattern text NOT NULL,
    confirmed boolean,
    name character varying(20)
);


ALTER TABLE public.pattern_blacklist OWNER TO groracle;

--
-- Name: rights; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE rights (
    permission character varying(20) NOT NULL,
    usernames text,
    roles text
);


ALTER TABLE public.rights OWNER TO groracle;

--
-- Name: roles; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE roles (
    role character varying(20),
    groups text
);


ALTER TABLE public.roles OWNER TO groracle;

--
-- Name: users; Type: TABLE; Schema: public; Owner: groracle; Tablespace: 
--

CREATE TABLE users (
    username character varying(20) NOT NULL,
    description text,
    password_hash text,
    password_salt text,
    groups text,
    role character varying(20),
    email character varying(50)
);


ALTER TABLE public.users OWNER TO groracle;

--
-- Data for Name: groups; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY groups (groupid, description) FROM stdin;
\.


--
-- Data for Name: hosts; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY hosts (host, description, groupid) FROM stdin;
\.


--
-- Data for Name: input; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY input (date, host, line, pattern) FROM stdin;
\.


--
-- Data for Name: pattern_blacklist; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY pattern_blacklist (pattern, confirmed) FROM stdin;
\.


--
-- Data for Name: rights; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY rights (permission, usernames, roles) FROM stdin;
EditUser	admin;	admin;
EditGroup	admin;	admin;
EditRole	admin;	admin;
EditGrok	admin;	admin;
EditPattern	admin;	admin;
EditHosts	admin;	admin;
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY roles (role, groups) FROM stdin;
admin	*
user	
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: groracle
--

COPY users (username, description, password_hash, password_salt, groups, role, email) FROM stdin;
admin	Admin of this tool	$5$admin$HtMh.GfdDeKgLmNR2.6sB0bCYiFpKKAF3BM/9rCshbA	$5$admin@localhost.org	*	admin	admin@localhost.org
\.


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

