package com.example.groracleServer;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import com.example.groracleServer.ConfigLoader;
import com.example.groracleServer.CommonDatabaseBroker;
import com.example.groracleServer.DiscoGrok;
/**
 * Class implementing stream gobbling and processing
 * @author tdosek
 * @version 1.0
 */
class StreamGobbler extends Thread {
    private InputStream is;
    private String type;
    static String inputHost;
    /**
     * Constructor of the class
     * @param is Input Stream that is to be processed by this class
     * @param type Type of the stream
     * @param inputHost Host which the data originates from
     */
    StreamGobbler(InputStream is, String type, String inputHost) {
        this.is = is;
        this.type = type;
        this.inputHost = inputHost;
    }

    @Override
    /**
     * Handle the stream in a separate thread
     */
    public void run() {
        try {
        	// Handling input stream
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String inputLine = null;
            while ((inputLine = br.readLine()) != null){
            	processLine(inputLine);
            }
        }
        catch (IOException e) {
            e.printStackTrace();
        }
    }
    /**
     * Method for processing the line
     * @param line Unmatched line that is to get processed
     */
    private static void processLine(String line){
    	// Writing the text into DB as it is
    	CommonDatabaseBroker dbBroker = new CommonDatabaseBroker();
    	ConfigLoader configuration = new ConfigLoader();
    	configuration.loadConfig();
    	DiscoGrok disco = new DiscoGrok(line, configuration.getGrokRulesFile());
    	dbBroker.InitConnection();
    	DateFormat df = new SimpleDateFormat("MM/dd/yyyy");
    			//"HH:mm:ss");
    	Date date =  Calendar.getInstance().getTime();
    	String suggestion = disco.suggestPattern();
    	dbBroker.setSqlStatement("INSERT INTO input "
    			+ "VALUES ('" + df.format(date) + "','" + inputHost + "','" + line + "','"+ suggestion +"');");
    	dbBroker.executeDatabaseStatement();
    	dbBroker.closeDbConnection();
    } 
}