package com.example.groracleServer;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
/**
 * Class implementing simple TCP server 
 * @author tdosek
 * @version 1.0
 */
public class TcpServer {
     // By default we want to listen on 9998 TCP socket
    private int socketNumber = 9998;
    /**
     * Constructor of the class
     * @param socketNumber socket number that we listen on
     */
    public TcpServer(int socketNumber){
    	this.socketNumber = socketNumber;
    }  
    /**
     * Method that is running the server
     * @throws IOException
     */
    public void run() throws IOException{
    	// The server is supposed to listen nonstop until the application stops
    	while (true){
    		ServerSocket inputSocket = new ServerSocket(socketNumber);
    		Socket connectionSocket = inputSocket.accept();
    		StreamGobbler sg = new StreamGobbler(connectionSocket.getInputStream(), "OUTPUT", 
    				connectionSocket.getInetAddress().toString());
    		sg.start();
    		while (sg.getState() != Thread.State.TERMINATED){
    			// Waiting until the connection of current client closes
    		}
    		connectionSocket.close();
    		inputSocket.close();
    	}
    }  
}
