package com.example.groracleServer;
import java.io.IOException;
import com.example.groracleServer.ConfigLoader;;
/**
 * Class wrapping around TCP and Unix socket servers - deciding which one to start based on configuration
 * @author tdosek
 * @version 1.0
 */
public class TcpUxServer{
	/**
	 * COnstructor of the class
	 */
	public TcpUxServer(){
    }
	/**
	 * main method of the project
	 * @param args command line arguments
	 */
    public static void main(String[] args) {
    	// Load configuration from file
    	ConfigLoader configuration = new ConfigLoader();
    	configuration.loadConfig();
    	String sockType = configuration.getSockType();
    	System.out.println("Server started as " + sockType + " server.");
    	// 	Based on configuration decide whether the server is going to listen on TCP or Unix socket
    	if (sockType.equals("TCP")){
    		TcpServer server = new TcpServer(Integer.parseInt(configuration.getSockNum()));
    		try {
    			server.run();
    		} catch (IOException e) {
    			System.out.println("Tcp server failed to process data");
    			e.printStackTrace();
    		}
    	}else if (sockType.equals("UX")) {
    		UxServer server = new UxServer(configuration.getSockNum());
    		try {
    			server.run();
    		} catch (IOException e) {
    			System.out.println("Ux server failed to process data");
    			e.printStackTrace();
    		}
    	}else{
    		System.out.println("Configuration is broken, please change it");
    	}
    }    
}
