package com.example.groracleServer;
import java.io.IOException;

import com.etsy.net.JUDS;
import com.etsy.net.UnixDomainSocketServer;
/**
 * Class providing Unix socket server using JUDS project
 * @author tdosek
 * @version 1.0
 */
public class UxServer {
    private static String socketPath;
    /**
     * Constructor of the class
     * @param socketPath path to the unix socket
     */
    public UxServer (String socketPath){
	this.socketPath = socketPath;
    }
    /**
     * Method running the server using given configuration
     * @throws IOException
     */
    public void run() throws IOException{
    	while (true){
    		UnixDomainSocketServer server = new UnixDomainSocketServer(socketPath, JUDS.SOCK_STREAM);
    		server.accept();
    		StreamGobbler sg = new StreamGobbler(server.getInputStream(), "OUTPUT", 
    				java.net.InetAddress.getLocalHost().getHostName().toString());
    		sg.start();
    		while (sg.getState() != Thread.State.TERMINATED){
    			// Waiting until the connection of current client closes
    		}
		server.close();
		}
    }
}
